Skip to main content
PATCH
Core - Update an annotation queue

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

annotation_queue_id
string
required

Body

application/json
display_name
string

Optional. New display name.

description
string

Optional. New description.

project_id
string

Optional. New project. Setting this clears the legacy human_review_ids selection.

human_review_ids
string[]

Legacy: update manually selected human review IDs. Only applied when project_id is not set.

Response

200 - application/json

OK

_id
string
required

Unique annotation queue identifier assigned by ORQ.

display_name
string
required

The display name of the annotation queue.

description
string
required

The description of the annotation queue.

workspace_id
string
required

The unique identifier of the workspace it belongs to.

human_review_ids
string[]
required

Legacy: manually selected human review IDs. Used only when project_id is not set.

metadata
object
required

Aggregate counters for the annotation queue.

project_id
string

The project ID. When set, human reviews are resolved from the project automatically.

created_by_id
string

The account that created the annotation queue. Unset when created via API key authentication.

updated_by_id
string

The account that last updated the annotation queue. Unset when updated via API key authentication.

created
string<date-time>

The date and time the annotation queue was created.

updated
string<date-time>

The date and time the annotation queue was last updated.